- Main Page
- Namespaces
- Classes
- Files
- Directories

# util.h File Reference

Convert return-code of Freetype library calls to std::runtime_error. More...

`#include <stdexcept>`
`#include <string>`
`#include <iostream>`
`#include <ft2build.h>`
`#include <freetype/ftglyph.h>`

Go to the source code of this file.

## Functions
std::ostream & | operator<< (std::ostream &, const FT_Library)
std::ostream & | operator<< (std::ostream &, const FT_Face)
std::ostream & | operator<< (std::ostream &, const FT_Glyph)
std::ostream & | operator<< (std::ostream &, const FT_Outline)
void | evalReturnCode (const int errCode, const char *funcName) throw (std::runtime_error)
| Converts a freetype return code into an exception.

## Detailed Description

Convert return-code of Freetype library calls to std::runtime_error.

Usage: place every call to Freetype library inside FtEval::eval().

libLASi provides a C++ output stream interface for writing multi-language Postscript documents. Copyright (C) 2003, 2004 by Larry Siden.

See README file in project root directory for copyright and contact info. See COPYING file in project root for terms of re-distribution.

## Function Documentation

void evalReturnCode | ( | const int | errCode,
|  | const char * | funcName |
| ) |  |  | throw (std::runtime_error)`[inline]`

Converts a freetype return code into an exception.

std::ostream& operator<< | ( | std::ostream & | ,
|  | const | FT_Outline |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | ,
|  | const | FT_Glyph |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | ,
|  | const | FT_Face |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | ,
|  | const | FT_Library |
| ) |  |  |